## python-nmea2 1.8.0

=== Makefile ===

test:
	py.test

publish:
	python setup.py sdist upload

## python-nmea2 1.5.1

=== debian/changelog ===
python-nmea2 (1.5.1-1) unstable; urgency=medium

  * Initial release (Closes: #809223).

 -- Ulises Vitulli <dererk@debian.org>  Mon, 28 Dec 2015 10:13:05 -0300

=== debian/control ===
Source: python-nmea2
Section: python
Priority: optional
Maintainer: Ulises Vitulli <dererk@debian.org>
Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~), dh-python,
 python-setuptools, python3-setuptools, python3-all
Standards-Version: 3.9.6
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Homepage: http://sourceforge.net/projects/imaplib2/
Vcs-Browser: http://sourceforge.net/p/imaplib2/code/ci/master/tree/

Package: python-nmea2
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Python library for the NMEA 0183 protocol
 A Python Library for the NMEA 0183 protocol
 .
 NMEA 0183 is a combined electrical and data specification for communication
 between marine electronics such as echo sounder, sonars, anemometer,
 gyrocompass, autopilot, GPS receivers and many other types of instruments.

Package: python3-nmea2
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Python library for the NMEA 0183 protocol
 A Python Library for the NMEA 0183 protocol
 .
 NMEA 0183 is a combined electrical and data specification for communication
 between marine electronics such as echo sounder, sonars, anemometer,
 gyrocompass, autopilot, GPS receivers and many other types of instruments.

## python-nmea2 1.8.0

=== debian/changelog ===
python-nmea2 (1.8.0-1) unstable; urgency=medium

  * New upstream release. 
  * Fix missing deps (Closes: #867444).
  * Updated Hompage and VCS fields.

 -- Ulises Vitulli <dererk@debian.org>  Fri, 14 Jul 2017 02:50:15 -0300

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Ulises Vitulli <dererk@debian.org>
 Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~), dh-python,
  python-setuptools, python3-setuptools, python3-all
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
-Homepage: http://sourceforge.net/projects/imaplib2/
-Vcs-Browser: http://sourceforge.net/p/imaplib2/code/ci/master/tree/
+Homepage: https://github.com/Knio/pynmea2
+Vcs-Browser: https://github.com/Knio/pynmea2
 
 Package: python-nmea2
 Architecture: all
@@ -22,7 +22,7 @@
 
 Package: python3-nmea2
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}
+Depends: ${python3:Depends}, ${misc:Depends}
 Description: Python library for the NMEA 0183 protocol
  A Python Library for the NMEA 0183 protocol
  .

## python-nmea2 1.12.0

=== debian/changelog ===
python-nmea2 (1.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump up Standard Versions to 4.1.1.1 (No changes needed).

 -- Ulises Vitulli <dererk@debian.org>  Wed, 08 Nov 2017 18:25:41 -0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ulises Vitulli <dererk@debian.org>
 Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~), dh-python,
  python-setuptools, python3-setuptools, python3-all
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1.1
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Homepage: https://github.com/Knio/pynmea2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export PYBUILD_NAME = nmea2

%:
	        dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=3

http://pypi.debian.net/pynmea2/pynmea2-(.*).tar.gz

## python-nmea2 1.15.0

=== debian/changelog ===
python-nmea2 (1.15.0-1) unstable; urgency=medium

  * New upstream release:
    - Bump up Standard versions.
    - Refresh package policy, jump compat 12.

 -- Ulises Vitulli <dererk@debian.org>  Tue, 23 Jul 2019 10:01:19 -0300

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,9 @@
 Section: python
 Priority: optional
 Maintainer: Ulises Vitulli <dererk@debian.org>
-Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~), dh-python,
+Build-Depends: debhelper (>= 12), python (>= 2.6.6-3~), dh-python,
  python-setuptools, python3-setuptools, python3-all
-Standards-Version: 4.1.1.1
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
+Standards-Version: 4.4.0
 Homepage: https://github.com/Knio/pynmea2
 Vcs-Browser: https://github.com/Knio/pynmea2

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 export PYBUILD_NAME = nmea2
 
 %:
-	        dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python2,python3 --buildsystem=pybuild

## python-nmea2 1.18.0

=== Makefile ===
test:
	python2 -m pytest .
	python3 -m pytest .

publish: test
	rm dist/ -r
	python3 setup.py sdist
	python3 setup.py bdist_wheel
	python3 -m twine upload dist/*

.PHONY: test publish

=== debian/changelog ===
python-nmea2 (1.18.0-1) unstable; urgency=medium

  * New upstream release.

 -- Ulises Vitulli <dererk@debian.org>  Sat, 02 Sep 2023 14:16:10 -0300

python-nmea2 (1.15.0-4) unstable; urgency=medium

  * Breaks+Replaces on python-nmea2, thanks bunk@! (Closes: #942338).

 -- Ulises Vitulli <dererk@debian.org>  Wed, 06 May 2020 11:21:53 -0300

python-nmea2 (1.15.0-3) unstable; urgency=medium

  * Updated Standard Versions.
  * Non-binary upload.

 -- Ulises Vitulli <dererk@debian.org>  Sun, 03 May 2020 23:14:11 -0300

python-nmea2 (1.15.0-2) unstable; urgency=medium

  * Drop py2 support (Closes: #953700).
  * Refresh pkg status and policy.

 -- Ulises Vitulli <dererk@debian.org>  Sat, 25 Apr 2020 01:13:12 -0300

=== debian/control ===
Source: python-nmea2
Section: python
Priority: optional
Maintainer: Ulises Vitulli <dererk@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
Standards-Version: 4.6.2.0
Homepage: https://github.com/Knio/pynmea2
Vcs-Browser: https://github.com/Knio/pynmea2

Package: python3-nmea2
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Breaks: python-nmea2
Replaces: python-nmea2
Description: Python library for the NMEA 0183 protocol
 A Python Library for the NMEA 0183 protocol
 .
 NMEA 0183 is a combined electrical and data specification for communication
 between marine electronics such as echo sounder, sonars, anemometer,
 gyrocompass, autopilot, GPS receivers and many other types of instruments.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME = nmea2

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=3

https://pypi.debian.net/pynmea2/pynmea2-(.*).tar.gz

## python-nmea2 1.19.0

=== debian/changelog ===
python-nmea2 (1.19.0-3) unstable; urgency=medium

  * Fix FTBFS: ModuleNotFoundError: No module named 'imp'.
    Thanks SergioDuriganJunior! (Closes: #1058130).

 -- Ulises Vitulli <dererk@debian.org>  Thu, 20 Jun 2024 12:01:56 -0300

python-nmea2 (1.19.0-2) unstable; urgency=high

  * Updated Standard Versions.
  * Non-binary upload.

 -- Ulises Vitulli <dererk@debian.org>  Fri, 15 Mar 2024 11:16:52 -0300

python-nmea2 (1.19.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1058130). 

 -- Ulises Vitulli <dererk@debian.org>  Mon, 12 Feb 2024 19:23:47 -0300

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  dh-python,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.6.2.0
+Standards-Version: 4.6.2.1
 Homepage: https://github.com/Knio/pynmea2
 Vcs-Browser: https://github.com/Knio/pynmea2
